/* GLOBAL */

html {
  scroll-behavior: smooth;
  background-color: var(--color-whitesmoke);
}

body {
  margin: 0;
  line-height: normal;
  overflow-x: hidden;
  background-color: var(--color-whitesmoke);
}

/* 1. On déclare proprement la police pour le navigateur */
@font-face {
  font-family: 'Uncut Plan8';
  src: url('/UncutPlan8.otf') format('opentype');
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}

:root {
  /* Color */
  --site-edge: 48px;
  --color-gray: rgba(255, 255, 255, 0.1);
  --color-olive: #afa63c;
  --color-whitesmoke: #edede8;

  /* Gap */
  --gap-20: 20px;
  --gap-24: 24px;
  --gap-40: 40px;
  --gap-67: 67px;

  /* Padding */
  --padding-0: 0px;
  --padding-1: 1px;
  --padding-2: 2px;
  --padding-10: 10px;
  --padding-20: 20px;
  --padding-24: 24px;
  --padding-26: 26px;
  --padding-40: 40px;
  --padding-48: 48px;

  /* Font */
  --font-uncut-plan8: 'Uncut Plan8', monospace; /* Astuce : rajouter monospace en secours */

  /* FontSize */
  --fs-14: 14px;
  --fs-16: 16px;

  /* Borders */
  --border-1: 1px solid var(--color-olive);

  /* WidthHeights */
  --height-1: 1px;
  --height-648: 648px;
  --height-649: 649px;
  --width-432: 432px;
  --width-659: 659px;

  /* LineHeights */
  --lh-18: 18px;
  --lh-22: 22px;
  --lh-40: 40px;

  --left-0: 0px;
  --top-0: 0px;
}
